﻿body {
    font-size: 11px !important;
    margin: 0;
    padding: 0;
}

[ng-cloak] {
    display: none;
}

ul, li, h1, h2, h3, h4, h6, p, form, td, p, div, span, form, fieldset, legend, label, input, select, textarea {
    font: normal 11px Verdana, Arial, Helvetica, sans-serif;
    color: #613824;
    overflow: visible;
}

tbody {
    /* to cancel style in flextherm Flex_All.css */
  border-top: none;
}

.roomoptions table {
  border-collapse: separate;
  border-spacing: 0 5px;
  margin-bottom: 0;
}

.roomoptions thead th {
  /*background-color: #d9edFF;
  color: black;*/
    color: #ffffff;
    background-color: #efb73e;
    border-color: #efb73e;
}

.roomoptions tr td:first-child,
.roomoptions tr th:first-child {
  border-top-left-radius: 6px;
  border-bottom-left-radius: 6px;
}

.roomoptions tr td:last-child,
.roomoptions tr th:last-child {
  border-top-right-radius: 6px;
  border-bottom-right-radius: 6px;
}

#td-nom-piece {
    padding-left: 10px;
    background-color: #fcf8e3;
    border-color: #fbeed5;
    border-top-left-radius: 6px;
    border-bottom-left-radius: 6px;
    border-top-right-radius: 6px;
    border-bottom-right-radius: 6px;
}

label {
      margin: 3px 20px!important;
}

table.roomdesc {
    width: 100%;
}

table.room-desc-container {
    width: 98%;
}

.table.room-desc-container td {
    border-bottom-color: black;
    border-bottom: 1px;
}

table.roomoptions {
    border: solid black 1px;
    border-spacing: 10px;
    margin: 5px;
    padding: 5px;
}

table.roomtable {
    padding: 10px;
    width: 100%;
}

#page {
    margin: 0 auto;
    max-width: 962px;
}

.labelvaleur {
    text-align: left;
    vertical-align: middle;
    font: normal 12px Verdana, Arial, Helvetica, sans-serif;
    color: #613824;
    overflow: visible;
    padding: 0;
    display: inline-block;
}

table.innerroomoptions th {
    white-space: nowrap;
    font-size: 10px;
}

#header {
    padding: 8px 15px;
    margin-bottom: 2px;
    list-style: none;
    border-color: #faebcc;
    border-radius: 4px;
    width: 100%;
}

.flexthermbody {
    background: #efe7d6 url(/Contents/images/flex/site_bg.gif) repeat-x;
    margin: 0;
    padding: 0;
    font-family: Verdana, Tahoma, "DejaVu Sans", sans-serif;
}

.flexthermcontainer {
    background-color: #fcfcf9;
    width: 95%;
    margin: 0 auto;
}

.truecomfortbody {
    color: #383838;
    font: 12px/14px Arial, Verdana, Tahoma, sans-serif;
    background: #f7f7f7 url(http://www.truecomfortsystems.com/sites/default/themes/truecomfort/images/bg-body.jpg) no-repeat 50% 0;
    font-family: Verdana, Tahoma, "DejaVu Sans", sans-serif;
}

.truecomfortcontainer {
    background: white;
    padding: 2px;
    width: 100%;
}

label {
    vertical-align: bottom;
}

.labelroom {
    white-space: nowrap;
    font-size: 14px;
    padding: 10px;
    margin: 0!important;
    font-family: arial,sans-serif;
    font-size: 18px;
}

#SummaryAlert {
    font-size: 11px;
    padding: 5px;
    margin-bottom: 5px;
    margin-left: 10px;
    margin-right: 10px;
}

.reportexports {
    margin: 10px;
}

#logo-title {
    padding-top: 8px;
}

.view-title-l {
    width: 100%;
    text-align: center;
}

.view-title-w{
    width: 100%;
    text-align: left;
    display: block;
    font-size: 20px;
    margin: 0 0 10px 0;
}

.hidden-professionnal-fields {margin-bottom: 20px;}

/* Pour rendre les messages d'erreur de toaster lisible' */
.toast-message div, .toast div, .toast-error div{

    color: #ffffff !important;
    font-size: 20px;
    font-weight: bold;
}

.labelroom {
    margin-left: 3px !important;
}

#page .alert {
    margin-left: 20px;
    margin-right: 20px;
}

.summarySectionHead {
    font-size: 17px;
    font-weight: bold;
    text-transform: uppercase;
    margin: 20px;
}

table.innerroomoptions th.submissionTotalText {
    font-size: 15px;
    text-transform: uppercase;
}

table.innerroomoptions th.submissionTotalAmount > span {
    font-size: 15px;
    text-align: right;
}

@media print {
    label {
        vertical-align: bottom;
        font-size: 10px;
        font-weight: normal !important;
        margin: 6px 12px !important;
    }

    .labelvaleur {
        font-weight: normal;
    }

    .notprinted {
        display: none;
    }

    a[href]:after {
        content: none!important
    }

    @page {
        size: auto;  /*auto is the initial value*/
        margin: 0mm;  /*this affects the margin in the printer settings*/
    }

    #page {
        width: 100%;
    }

    table.room-desc-container {
        text-align: center;
        width: 95%;
    }

    .labelroom {
        margin-left: 0!important;
        padding-left: 6px!important;
    }
}

.table>thead>tr>th,
.table>tbody>tr>th,
.table>tfoot>tr>th,
.table>thead>tr>td,
.table>tbody>tr>td,
.table>tfoot>tr>td {
    line-height: 1;
    padding:3px;
}

.vertical{
    -webkit-transform: rotate(270deg);
    -moz-transform: rotate(270deg);
    -ms-transform: rotate(270deg);
    -o-transform: rotate(270deg);
    transform: rotate(270deg);
}
.surfaceChoice .col-sm-10 label {
    vertical-align:middle;
}
